Subject: Re: PCEF grant application process
From: Megan Horst <[email-masked]>
To: "Lister, Cady" <[email-masked]>
Cc: "Horst, Megan" <[email-masked]>, "Lumley, Paul" <[email-masked]>, "Wang, Robin" <[email-masked]>
Date: Fri, 1 Mar 2024 11:05:52 -0800

My availability, along with Cady's
3/11 Monday – noon to 1pm (C, M), any time after 4pm (C)

3/12 Tuesday – noon to 2pm (M), 3 to 4pm, any time after 5pm (M, C)

3/13 Wednesday – 10am to noon (M, C), any time after 4pm (C)

3/14 Thursday – open all day (C), anytime before 1 (M, C)

3/15 Friday – any time after 1pm (C)

Best,
Megan Horst, PhD, AICP (She/Her)
[Portland State University Logo and symbol, meaning, history, PNG, brand]

Associate Professor, Nohad A. Toulan School of Urban Studies &amp; Planning
Program Director, Masters of Urban and Regional Planning<https://www.pdx.edu/urban-studies-planning/murp> (New video!<https://youtu.be/pIJKWj_7_aU?si=AayuGZ4KBSnaP1_Y>)
Prospective students; Five Reasons to Study Planning at PSU<https://www.pdx.edu/urban-studies-planning/5-reasons-study-planning-psu>
Co-chair, Community Advisory Board, Portland Clean Energy Fund<https://www.portland.gov/bps/cleanenergy>

In-person office: Urban Center 370S
Winter '24 Office Hours for current and prospective students: Book here<https://calendly.com/mhorst-1/meeting-time-with-professor-megan-horst>
Current students: Campus Resources<https://www.pdx.edu/urban-studies-planning/student-campus-resources> like Basic Needs Hub

On Thu, Feb 29, 2024 at 5:51 PM Lister, Cady &lt;[email-masked]<mailto:[email-masked]>&gt; wrote:

My availability the week of March 11 is below, let me know what works.

3/11 Monday – noon to 1pm, any time after 4pm

3/12 Tuesday – noon to 2pm, 3 to 4pm, any time after 5pm

3/13 Wednesday – 10am to noon, any time after 4pm

3/14 Thursday – open all day

3/15 Friday – any time after 1pm

Thanks,

Cady Lister

(she/her)

Portland Clean Energy Fund

City of Portland | Bureau of Planning &amp; Sustainability

1810 SW 5th Ave., Suite 710 Portland, OR 97201

T: 503-278-0571 | W: portland.gov/bps<https://www.portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services, please contact 503-823-7700 or use City TTY 503-823-6868.

From: Megan Horst &lt;[email-masked]<mailto:[email-masked]>&gt;
Sent: Thursday, February 29, 2024 12:49 PM
To: Lister, Cady &lt;[email-masked]<mailto:[email-masked]>&gt;
Cc: Horst, Megan &lt;[email-masked]<mailto:[email-masked]>&gt;; Lumley, Paul &lt;[email-masked]<mailto:[email-masked]>&gt;; Wang, Robin &lt;[email-masked]<mailto:[email-masked]>&gt;
Subject: Re: PCEF grant application process

Following week? I am much more available than as well

Best,

Megan Horst, PhD, AICP (She/Her)
[Portland State University Logo and symbol, meaning, history, PNG, brand]

Associate Professor, Nohad A. Toulan School of Urban Studies &amp; Planning

Program Director, Masters of Urban and Regional Planning<https://www.pdx.edu/urban-studies-planning/murp> (New video!<https://youtu.be/pIJKWj_7_aU?si=AayuGZ4KBSnaP1_Y>)

Prospective students; Five Reasons to Study Planning at PSU<https://www.pdx.edu/urban-studies-planning/5-reasons-study-planning-psu>

Co-chair, Community Advisory Board, Portland Clean Energy Fund<https://www.portland.gov/bps/cleanenergy>

In-person office: Urban Center 370S

Winter '24 Office Hours for current and prospective students: Book here<https://calendly.com/mhorst-1/meeting-time-with-professor-megan-horst>

Current students: Campus Resources<https://www.pdx.edu/urban-studies-planning/student-campus-resources> like Basic Needs Hub

On Thu, Feb 29, 2024 at 12:02 PM Lister, Cady &lt;[email-masked]<mailto:[email-masked]>&gt; wrote:

Sounds good, thanks for letting me know Robin and I’m happy to connect when you get back.

Cady Lister

(she/her)

Portland Clean Energy Fund

City of Portland | Bureau of Planning &amp; Sustainability

1810 SW 5th Ave., Suite 710 Portland, OR 97201<https://www.google.com/maps/search/1810+SW+5th+Ave.,+Suite+710+Portland,+OR+97201?entry=gmail&source=g>

T: 503-278-0571 | W: portland.gov/bps<https://www.portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services, please contact 503-823-7700 or use City TTY 503-823-6868.

From: Wang, Robin &lt;[email-masked]<mailto:[email-masked]>&gt;
Sent: Thursday, February 29, 2024 12:02 PM
To: Lister, Cady &lt;[email-masked]<mailto:[email-masked]>&gt;; Horst, Megan &lt;[email-masked]<mailto:[email-masked]>&gt;; Lumley, Paul &lt;[email-masked]<mailto:[email-masked]>&gt;
Subject: RE: PCEF grant application process

Unfortunately, I’m pretty booked up tomorrow (Fri) and will be attending a conference in Denver for most of next week so my availability is very limited. The most flexible day will be Monday 3/4, but at the present time, I’m juggling a few different options and can’t commit to a specific time. So I suggest scheduling without me and if I happen to be available or can step out of the conference at that time, I will join.

Robin

From: Lister, Cady &lt;[email-masked]<mailto:[email-masked]>&gt;
Sent: Thursday, February 29, 2024 11:11 AM
To: Horst, Megan &lt;[email-masked]<mailto:[email-masked]>&gt;; Lumley, Paul &lt;[email-masked]<mailto:[email-masked]>&gt;; Wang, Robin &lt;[email-masked]<mailto:[email-masked]>&gt;
Subject: PCEF grant application process

Hi all,

I am writing in hopes of finding some time to get a little more info on comments you have heard related to the difficulty or complexity of our Community Responsive Grant application process and also to make sure you have an accurate picture of what is required. Below are some times that I am available in the next week, let me know which of these times might work for you. I am also happy to meet after work hours if that would be helpful.

March 1 (Friday) – 10am to 11am, 11am to noon

March 4 (Monday) – 9am to 10am, noon to 1pm, 2pm to 3pm, any time after 5pm

March 5 (Tuesday) – any time after 4pm

March 6 (Wednesday) – 10am to noon

March 7 (Thursday) – noon to 1pm, any time after 4pm

I will send an invite as soon as I hear back from each of you what times work.

Thanks,

Cady Lister

(she/her)

Portland Clean Energy Fund

City of Portland | Bureau of Planning &amp; Sustainability

1810 SW 5th Ave., Suite 710 Portland, OR 97201<https://www.google.com/maps/search/1810+SW+5th+Ave.,+Suite+710+Portland,+OR+97201?entry=gmail&source=g>

T: 503-278-0571 | W: portland.gov/bps<https://www.portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services, please contact 503-823-7700 or use City TTY 503-823-6868.